Index: trunk/MagicSoft/Mars/datacenter/scripts/dowebplots
===================================================================
--- trunk/MagicSoft/Mars/datacenter/scripts/dowebplots	(revision 7313)
+++ trunk/MagicSoft/Mars/datacenter/scripts/dowebplots	(revision 7314)
@@ -57,5 +57,5 @@
 
 
-rootfiles=`find /www/htdocs/datacenter/ -name '*.root' -maxdepth 10 | grep -v '_I_' | grep -v '_Y_'`
+rootfiles=`find /www/htdocs/datacenter/ -name '*.root' -maxdepth 10 | grep -v '_I_' | grep -v '_Y_' | grep -v 'subsystemdata'`
 
 if [ "$rootfiles" = "" ]
@@ -75,9 +75,9 @@
    file=`basename $rootfile`
    base=`echo $file | sed -e 's/.root$//g'`
-   echo "file $file"
-   echo "path $path"
-   echo "base $base"
+   echo "file $file" >> $scriptlog 2>&1;;
+   echo "path $path" >> $scriptlog 2>&1;;
+   echo "base $base" >> $scriptlog 2>&1;;
    
-   if ls $path/$base-tab*.gif
+   if ls $path/$base-tab*.gif >> $scriptlog 2>&1;;
    then 
       continue
@@ -87,5 +87,5 @@
    daterootfile=`date +%Y%m%d -r $rootfile`
    dategiffile=`date +%Y%m%d -r $tabfile1.gif`
-   if [ "$dategiffile" = "" ] 
+   if [ "$dategiffile" = "" ]  
    then 
       dategiffile=50000000
@@ -93,24 +93,24 @@
 #   now=`date +%Y%m%d`
 
-   echo "date of rootfile: $daterootfile"
-   echo "date of giffile: $dategiffile"
+   echo "date of rootfile: $daterootfile" >> $scriptlog 2>&1;;
+   echo "date of giffile: $dategiffile"  >> $scriptlog 2>&1;;
    
-   if [ "$dategiffile" -lt "$daterootfile" ]
+   if [ "$dategiffile" -lt "$daterootfile" ] >> $scriptlog 2>&1;;
    then 
       continue
    fi
    
-   echo "produce plots..."
+   echo "produce plots..." >> $scriptlog 2>&1;;
    X=0
-   while [ "$X" -le "50" ]
+   while [ "$X" -le "50" ] >> $scriptlog 2>&1;;
    do 
       X=$((X+1))
-      echo "$X's step"
-      ./showplot -b --save-as-ps=$tabfile$X --tab=$X $rootfile
-      if ! ls $tabfile$X.ps
+      echo "$X. step" >> $scriptlog 2>&1;;
+      ./showplot -b --save-as-ps=$tabfile$X --tab=$X $rootfile >> $scriptlog 2>&1;;
+      if ! ls $tabfile$X.ps >> $scriptlog 2>&1;;
       then 
          break
       fi
-      convert -rotate 90 $tabfile$X.ps $tabfile$X.gif
+      convert -rotate 90 $tabfile$X.ps $tabfile$X.gif  >> $scriptlog 2>&1;;
    done
 done
